<?php

declare(strict_types=1);

namespace App\Service\Education;

use App\Entity\Organization\Organization;

/**
 * Education utils methods.
 */
class Utils
{
    /**
     * TODO: complete.
     *
     * @see config/opentalent/modulesbyconditions.yaml
     */
    public function isCreateOwnPresence(Organization $organization): bool
    {
        return $organization->getParameters()->isGenerateAttendanceReport();
    }

    /**
     * TODO: complete.
     *
     * @see config/opentalent/modulesbyconditions.yaml
     */
    public function isConsultOwnPedagogicResult(Organization $organization): bool
    {
        return $organization->getParameters()->isConsultPedagogicResult();
    }

    /**
     * TODO: complete.
     *
     * @see config/opentalent/modulesbyconditions.yaml
     */
    public function isConsultTeacherListing(Organization $organization): bool
    {
        return $organization->getParameters()->isConsultTeacherListing();
    }

    /**
     * Did the organization enable the validation period limit in its settings?
     *
     * @see config/opentalent/modulesbyconditions.yaml
     */
    public function isPeriodValidation(Organization $organization): bool
    {
        return $organization->getParameters()->isPeriodValidation();
    }
}
